2 2

[alpine-aports] [PATCH] testing/s6-linux-utils: new aport r1

John Regan
Details
Message ID
<1424984979-2753-1-git-send-email-john@jrjrtech.com>
Sender timestamp
1424984979
DKIM signature
missing
Download raw message
Patch: +50 -0
---
 testing/s6-linux-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)
 create mode 100644 testing/s6-linux-utils/APKBUILD

diff --git a/testing/s6-linux-utils/APKBUILD b/testing/s6-linux-utils/APKBUILD
new file mode 100644
index 0000000..1b332ff
--- /dev/null
+++ b/testing/s6-linux-utils/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: John Regan <john@jrjrtech.com>
+# Maintainer: John Regan <john@jrjrtech.com>
+pkgname=s6-linux-utils
+pkgver=2.0.0.1
+pkgrel=1
+pkgdesc="skarnet.org's Linux-specific utilities."
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="200f0dbb99c50926ebcb60accbbdcd80  s6-linux-utils-2.0.0.1.tar.gz"
+sha256sums="a2f2bdddd42fd8cb764ad4e83cf5162d6e68221bf0d37867f4bc32f748d8bf9c  s6-linux-utils-2.0.0.1.tar.gz"
+sha512sums="5b089dc3c1095fd91fceac0ed383466dc3c7e5822fb7597caaceb37d2d116bf085046f9a5ad307badb1b9e1c4a8341e4307fa1177f421b0f47d924beaf713c9d  s6-linux-utils-2.0.0.1.tar.gz"
-- 
2.2.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Leonardo Arena
Details
Message ID
<1425027004.7419.26.camel@df1844j>
In-Reply-To
<1424984979-2753-1-git-send-email-john@jrjrtech.com> (view parent)
Sender timestamp
1425027004
DKIM signature
missing
Download raw message
On gio, 2015-02-26 at 16:09 -0500, John Regan wrote:
> ---
>  testing/s6-linux-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 50 insertions(+)
>  create mode 100644 testing/s6-linux-utils/APKBUILD
> 

Thank you.
Unfortunately now building stops with another error:

exec gcc -iquote src/include-local -Isrc/include
-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -O2 -Os
-fomit-frame-pointer -Werror=implicit-function-declaration
-Werror=implicit-int -Werror=pointer-sign -Werror=pointer-arith  -Os
-fomit-frame-pointer -std=c99 -fomit-frame-pointer -fno-exceptions
-fno-unwind-tables -fno-asynchronous-unwind-tables -Wa,--noexecstack
-fno-stack-protector -pipe -Wall -c -o src/minutils/s6-logwatch.o
src/minutils/s6-logwatch.c
src/minutils/s6-hiercopy.c:17:13: error: conflicting types for
'hiercopy'
 static void hiercopy (char const *, char const *) ;
             ^
In file included from src/minutils/s6-hiercopy.c:11:0:
/usr/include/skalibs/djbunix.h:145:12: note: previous declaration of
'hiercopy' was here
 extern int hiercopy (char const *, char const *) ;
            ^
Makefile:104: recipe for target 'src/minutils/s6-hiercopy.o' failed
make: *** [src/minutils/s6-hiercopy.o] Error 1
make: *** Waiting for unfinished jobs....
>>> ERROR: s6-linux-utils: all failed


Thanks!

- leo
John Regan
Details
Message ID
<20150302005444.GB70439@hefty.lan>
In-Reply-To
<1425027004.7419.26.camel@df1844j> (view parent)
Sender timestamp
1425257684
DKIM signature
missing
Download raw message
Oh, I see what I did - looks like I fat-fingered the version, it
should be 2.0.1.0, not 2.0.0.1.

I'll make a new submission tomorrow morning, sorry about that!

-John

On Fri, Feb 27, 2015 at 09:50:04AM +0100, Leonardo Arena wrote:
> On gio, 2015-02-26 at 16:09 -0500, John Regan wrote:
> > ---
> >  testing/s6-linux-utils/APKBUILD | 50 +++++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 50 insertions(+)
> >  create mode 100644 testing/s6-linux-utils/APKBUILD
> > 
> 
> Thank you.
> Unfortunately now building stops with another error:
> 
> exec gcc -iquote src/include-local -Isrc/include
> -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -O2 -Os
> -fomit-frame-pointer -Werror=implicit-function-declaration
> -Werror=implicit-int -Werror=pointer-sign -Werror=pointer-arith  -Os
> -fomit-frame-pointer -std=c99 -fomit-frame-pointer -fno-exceptions
> -fno-unwind-tables -fno-asynchronous-unwind-tables -Wa,--noexecstack
> -fno-stack-protector -pipe -Wall -c -o src/minutils/s6-logwatch.o
> src/minutils/s6-logwatch.c
> src/minutils/s6-hiercopy.c:17:13: error: conflicting types for
> 'hiercopy'
>  static void hiercopy (char const *, char const *) ;
>              ^
> In file included from src/minutils/s6-hiercopy.c:11:0:
> /usr/include/skalibs/djbunix.h:145:12: note: previous declaration of
> 'hiercopy' was here
>  extern int hiercopy (char const *, char const *) ;
>             ^
> Makefile:104: recipe for target 'src/minutils/s6-hiercopy.o' failed
> make: *** [src/minutils/s6-hiercopy.o] Error 1
> make: *** Waiting for unfinished jobs....
> >>> ERROR: s6-linux-utils: all failed
> 
> 
> Thanks!
> 
> - leo
> 
> 




---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---